Bug 996573 - [AMQP 1.0] RFE: support for map and list messages in 1.0 encoding
[AMQP 1.0] RFE: support for map and list messages in 1.0 encoding
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
: FutureFeature
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-08-13 09:00 EDT by Gordon Sim
Modified: 2015-01-21 07:56 EST (History)
5 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:56:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4711 None None None Never
Apache JIRA QPID-5040 None None None Never

  None (edit)
Description Gordon Sim 2013-08-13 09:00:45 EDT
Description of problem:

At present the AMQP 1.0 implementation of qpid::messaging does not offer any way of encoding maps or lists in the AMQP 1.0 defined format (i.e. in an AmqpValue section using the 1.0 typesystem). This should be provided.

Also, map-/list- messages in 0-10 should be translated if required to 1.0 and vice versa.
Comment 1 Gordon Sim 2013-08-13 11:16:28 EDT
Fixed upstream by https://svn.apache.org/r1513536 and https://svn.apache.org/r1513537.
Comment 2 Irina Boverman 2013-08-13 16:21:49 EDT
Hi Gordon,
I had a conflict with these merges into 0.22-mrg branch:
https://svn.apache.org/r1513536 and https://svn.apache.org/r1513537.
Can you please modify and commit them to the private branch?
Comment 3 Gordon Sim 2013-08-13 16:39:46 EDT
Also need http://svn.apache.org/r1513615 and http://svn.apache.org/r1513624
Comment 4 Gordon Sim 2013-08-14 08:25:41 EDT
Backported to http://git.app.eng.bos.redhat.com/?p=rh-qpid.git;a=shortlog;h=refs/heads/0.22-mrg-BZ996573 (as two commits in git).
Comment 5 Petr Matousek 2014-02-24 08:55:36 EST
This issue has been fixed. Verified on rhel6.5 (x86_64, i386).

Map/List messages may be send/received over amqp1.0. Also translation to 0.10 and vice versa works well.

packages under test:
qpid-cpp-*-0.22-29

-> VERIFIED
Comment 6 Petr Matousek 2014-02-24 08:56:18 EST
This issue has been fixed. Verified on rhel6.5 (x86_64, i386).

Map/List messages may be send/received over amqp1.0. Also translation to 0.10 and vice versa works well.

packages under test:
qpid-cpp-*-0.22-35

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.